net.minecraft.world.biome

## Class BiomeGenJungle

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase
  - - net.minecraft.world.biome.BiomeGenJungle

-     public class BiomeGenJungle
      extends BiomeGenBase

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.biome.BiomeGenBase

      `beach, biomeID, biomeList, biomeName, color, desert, desertHills, extremeHills, extremeHillsEdge, field_76754_C, fillerBlock, forest, forestHills, frozenOcean, frozenRiver, hell, iceMountains, icePlains, jungle, jungleHills, maxHeight, minHeight, mushroomIsland, mushroomIslandShore, ocean, plains, rainfall, river, sky, swampland, taiga, taigaHills, temperature, theBiomeDecorator, topBlock, waterColorMultiplier`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenJungle(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorate(World par1World, Random par2Random, int par3, int par4)`
    `WorldGenerator` | `getRandomWorldGenForGrass(Random par1Random)` Gets a WorldGen appropriate for this biome.
    `WorldGenerator` | `getRandomWorldGenForTrees(Random par1Random)` Gets a WorldGen appropriate for this biome.

    - ### Methods inherited from class net.minecraft.world.biome.BiomeGenBase

      `canSpawnLightningBolt, createBiomeDecorator, func_76733_a, getBiomeFoliageColor, getBiomeGrassColor, getEnableSnow, getFloatRainfall, getFloatTemperature, getIntRainfall, getIntTemperature, getModdedBiomeDecorator, getModdedBiomeFoliageColor, getModdedBiomeGrassColor, getSkyColorByTemp, getSpawnableList, getSpawningChance, getWaterColorMultiplier, isHighHumidity, setBiomeName, setColor, setDisableRain, setEnableSnow, setMinMaxHeight, setTemperatureRainfall`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BiomeGenJungle

          public BiomeGenJungle(int par1)

  - ### Method Detail

    - #### getRandomWorldGenForTrees

          public WorldGenerator getRandomWorldGenForTrees(Random par1Random)

      Gets a WorldGen appropriate for this biome.
      Overrides:
        `getRandomWorldGenForTrees` in class `BiomeGenBase`

    - #### getRandomWorldGenForGrass

          public WorldGenerator getRandomWorldGenForGrass(Random par1Random)

      Gets a WorldGen appropriate for this biome.
      Overrides:
        `getRandomWorldGenForGrass` in class `BiomeGenBase`

    - #### decorate

          public void decorate(World par1World,
                      Random par2Random,
                      int par3,
                      int par4)

      Overrides:
        `decorate` in class `BiomeGenBase`